classification
Title: test_tools fails with timeout on AMD64 Snow Leop 3.x buildbot
Type: Stage: resolved
Components: macOS, Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, ronaldoussoren, vstinner, zach.ware
Priority: normal Keywords: buildbot

Created on 2016-09-21 07:03 by vstinner, last changed 2017-06-28 01:02 by vstinner. This issue is now closed.

Messages (3)
msg277100 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-09-21 07:03
I recently changed the buildbot timeout from 900 seconds (15 min) to 1200 seconds  (20 min) in Makefile.pre.in in the default branch, but it seems like some buildbots override the timeout.

For example, AMD64 Snow Leop 3.x uses TESTTIMEOUT=900 whereas test_tools fails with a timeout on this buildbot :-)

If the timeout is overriden, I suggest to use a timeout of at least 30 min on slow buildbots.
msg277249 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-09-23 08:10
Ping!
msg297097 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-28 01:02
Buildbots timeout has been adjusted, so this issue has been fixed indiretly.
History
Date User Action Args
2017-06-28 01:02:39vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg297097

stage: resolved
2016-09-23 10:15:47vstinnersetkeywords: + buildbot
2016-09-23 08:10:31vstinnersetnosy: + ronaldoussoren, ned.deily
messages: + msg277249
components: + macOS
2016-09-21 07:03:08vstinnercreate